<!DOCTYPE html>
<html ng-app="psonocli" class="datastore" ng-csp ng-strict-di>
<head>
    <title>Download File</title>
    <meta charset="utf-8">

    <link rel="apple-touch-icon" sizes="180x180" href="img/apple-touch-icon.png">
    <link rel="icon" type="image/png" href="img/favicon-32x32.png" sizes="32x32">
    <link rel="icon" type="image/png" href="img/favicon-16x16.png" sizes="16x16">
    <link rel="shortcut icon" href="img/favicon.ico">
    <meta charset="utf-8"/>
    <meta name="description" content="Psono Web Client to login or register">
    <meta name="msapplication-config" content="img/browserconfig.xml">
    <meta name="theme-color" content="#ffffff">
    <meta name="viewport" content="width=device-width, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="black" />

    <!-- build:build_min_css -->
    <link href="css/lib/cssreset-context-min.css" rel="stylesheet" />
    <link href="css/lib/opensans.css" rel="stylesheet" />
    <link href="css/lib/angular-csp.css" rel="stylesheet">
    <link href="css/lib/bootstrap.css" rel="stylesheet">
    <link href="css/lib/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <link href="css/lib/ui-bootstrap-csp.css" rel="stylesheet">
    <link href="css/lib/datatables.min.css" rel="stylesheet">
    <link href="css/lib/angular-snap.css" rel="stylesheet">
    <link href="css/lib/font-awesome.min.css" rel="stylesheet">
    <link href="css/lib/fira_code.css" rel="stylesheet">
    <link href="css/lib/angular-datatables.css" rel="stylesheet">
    <link href="css/lib/datatables.bootstrap.css" rel="stylesheet">
    <link href="css/lib/angular-ui-select.css" rel="stylesheet">
    <link href="css/lib/loading-bar.min.css" rel="stylesheet">

    <link href="css/angular-tree-view.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
    <!-- endbuild -->
</head>
<body>
<div  ng-controller="DownloadFileCtrl" class="ng-cloak">

    <div class="progress-box text-center">

        <img src="img/logo.png" alt="Psono Web Client" id="logo">
        <a href="https://psono.com/" target="_blank" rel="noopener" class="infolabel"><i class="fa fa-info-circle" aria-hidden="true"></i></a>

        <div class="btn-group loginbox-translate" uib-dropdown keyboard-nav ng-controller="LanguagePickerCtrl">
            <button id="language-picker" type="button" class="btn btn-primary" uib-dropdown-toggle>
                {{active.lang.lng_code | translate}} <span class="caret"></span>
            </button>
            <ul class="dropdown-menu dropdown-menu-right" uib-dropdown-menu role="menu" aria-labelledby="language-picker">
                <li role="menuitem" ng-repeat="lang in languages">
                    <a href="" ng-click="change_language(lang)" ng-if="lang.active">
                        {{lang.lng_code | translate}}
                    </a>
                </li>
                <li role="menuitem">
                    <a target="_blank" rel="noopener" href="https://poeditor.com/join/project/Aiea8D0WIr">
                        {{'NOT_LISTED' | translate}}
                    </a>
                </li>
            </ul>
        </div>

        <uib-progressbar max="state.open_requests" value="state.closed_request" style="margin-top:15px" ng-if="state.processing">
            <span style="color:white; white-space:nowrap;">{{ state.percentage_complete }} %</span>
        </uib-progressbar>
        <span translate="{{ state.next_step }}" ng-if="state.processing"></span>

        <div class="form-group alert alert-danger" ng-repeat="e in errors">
            <strong>{{'ERROR' | translate}}:</strong>
            <span translate="{{ e }}" ng-if="e !== 'INSUFFICIENT_FUNDS' || !credit_buy_address"></span>
            <span translate="{{ 'INSUFFICIENT_FUNDS_WITH_CREDIT_BUY_ADDRESS' }}" ng-if="e === 'INSUFFICIENT_FUNDS' && credit_buy_address"></span>
            <a ng-href="{{ credit_buy_address }}" ng-if="e === 'INSUFFICIENT_FUNDS' && credit_buy_address" rel="nofollow noopener" target="_blank">
                <span translate="{{ 'BUY' }}"></span>
            </a>
        </div>

    </div>
</div>
<div ng-show="::false" style="position: fixed; height: 100%; width: 100%; background-color: #0f1118; top: 0; left: 0; z-index: 10000;">
    <div style="position: absolute; font-size: 26px; color: #2dbb93; background-color: #151f2b; top: 50%; left: 50%; transform: translate(-50%, -50%); padding: 60px 60px 60px 60px; text-align: center">
        <i style="
           display: inline-block;
           font: normal normal normal 14px/1 FontAwesome;
           text-rendering: auto;
           font-size: 3em;
           text-align: center;
           animation: fa-spin 2s infinite linear;
           vertical-align: middle;">&#xf110;</i> Loading<noscript><br>JavaScript is disabled</noscript>
    </div>
</div>

<!-- build:build_min_js -->
<!-- Start of scripts -->
<script src="js/lib/ecma-nacl.min.js" type="text/javascript"></script>
<script src="js/lib/openpgp.min.js" type="text/javascript"></script>
<script src="js/lib/sha512.min.js" type="text/javascript"></script>
<script src="js/lib/sha256.min.js" type="text/javascript"></script>
<script src="js/lib/sha1.min.js" type="text/javascript"></script>
<script src="js/lib/uuid.js" type="text/javascript"></script>
<script src="js/lib/chart.min.js" type="text/javascript"></script>
<script src="js/lib/client.min.js" type="text/javascript"></script>
<script src="js/lib/FileSaver.min.js" type="text/javascript"></script>
<script src="js/lib/text-decoder-polyfill.min.js" type="text/javascript"></script>
<script src="js/lib/jquery.min.js" type="text/javascript"></script>
<script src="js/lib/datatables.min.js" type="text/javascript"></script>
<script src="js/lib/snap.min.js" type="text/javascript"></script>
<script src="js/lib/jquery-ui.min.js"></script>
<script src="js/lib/lokijs.min.js" type="application/javascript"></script>
<script src="js/lib/qrcode.min.js" type="application/javascript"></script>
<script src="js/lib/fastclick.js" type="application/javascript"></script>
<script src="js/lib/papaparse.min.js" type="application/javascript"></script>
<script src="js/lib/fast-xml-parser.js" type="application/javascript"></script>


<!-- Angular Juju -->
<script src="js/lib/angular.min.js" type="application/javascript"></script>
<script src="js/lib/raven.min.js" type="application/javascript"></script>
<script src="js/raven.js" type="application/javascript"></script>
<script src="js/lib/angular-cookies.min.js" type="application/javascript"></script>
<script src="js/lib/angular-animate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-touch.min.js" type="application/javascript"></script>
<script src="js/lib/angular-complexify.min.js" type="application/javascript"></script>
<script src="js/lib/moment-with-locales.min.js" type="application/javascript"></script>
<script src="js/lib/bootstrap-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/loading-bar.min.js" type="application/javascript"></script>
<script src="js/lib/angular-chart.min.js" type="application/javascript"></script>
<script src="js/lib/angular-route.min.js" type="application/javascript"></script>
<script src="js/lib/angular-sanitize.min.js" type="application/javascript"></script>
<script src="js/lib/angular-local-storage.min.js" type="application/javascript"></script>
<script src="js/lib/angular-snap.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate.min.js" type="application/javascript"></script>
<script src="js/lib/angular-eonasdan-datetimepicker.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-storage-cookie.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-url.min.js" type="application/javascript"></script>
<script src="js/lib/angular-translate-loader-static-files.min.js" type="application/javascript"></script>
<script src="js/lib/ui-bootstrap-tpls.min.js" type="application/javascript"></script>
<script src="js/lib/angular-datatables.js" type="application/javascript"></script>
<script src="js/lib/angular-ui-select.js" type="application/javascript"></script>
<script src="js/lib/ng-context-menu.js" type="application/javascript"></script>

<script src="js/module/ng-tree.js" type="application/javascript"></script>

<script src="js/main.js" type="application/javascript"></script>
<script src="js/service-worker-load.js" type="application/javascript"></script>
<script src="js/crypto-worker.js" type="application/javascript"></script>

<script src="js/directive/autoFocus.js" type="application/javascript"></script>
<script src="js/directive/fileReader.js" type="application/javascript"></script>
<script src="js/directive/treeView.js" type="application/javascript"></script>
<script src="js/directive/treeViewNode.js" type="application/javascript"></script>

<script src="js/controller/AcceptShareCtrl.js"></script>
<script src="js/controller/ChooseFolderCtrl.js"></script>
<script src="js/controller/ChooseSecretsCtrl.js"></script>
<script src="js/controller/AccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivationCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActiveLinkSharesCtrl.js" type="application/javascript"></script>
<script src="js/controller/DatastoreCtrl.js"></script>
<script src="js/controller/SecurityReportCtrl.js" type="application/javascript"></script>
<script src="js/controller/LanguagePickerCtrl.js" type="application/javascript"></script>
<script src="js/controller/LinkShareAccessCtrl.js" type="application/javascript"></script>
<script src="js/controller/LoginCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGDecryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/GPGEncryptMessageCtrl.js" type="application/javascript"></script>
<script src="js/controller/LostPasswordCtrl.js" type="application/javascript"></script>
<script src="js/controller/ActivateEmergencyCodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/MainCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AcceptShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ChooseSecretsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureGoogleAuthenticatorCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteOtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/AddGPGReceiverCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureDuoCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ConfigureYubiKeyOTPCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DatastoreNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DisplayShareRightsCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GoOfflineCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/HistoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewFolderCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/VerifyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/NewGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/PickUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/SelectUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGroupCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EncryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DecryptMessageGPGCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditGPGUserCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/GenerateNewMailGPGKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ImportMailGPGKeyAsTextCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEditEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/CreateLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/EditLinkShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShareNewEntryCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowEmergencyCodesCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/ShowRecoverycodeCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/UnlockOfflineCacheCtrl.js" type="application/javascript"></script>
<script src="js/controller/modal/DeleteAccountCtrl.js" type="application/javascript"></script>
<script src="js/controller/EditEntryBigCtrl.js" type="application/javascript"></script>
<script src="js/controller/OpenSecretCtrl.js" type="application/javascript"></script>
<script src="js/controller/DownloadFileCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherSessionsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherKnownHostsCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherDatastoreCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherAPIKeyCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherFileRepositoryCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherExportCtrl.js" type="application/javascript"></script>
<script src="js/controller/OtherImportCtrl.js" type="application/javascript"></script>
<script src="js/controller/PanelCtrl.js" type="application/javascript"></script>
<script src="js/controller/RegisterCtrl.js" type="application/javascript"></script>
<script src="js/controller/SettingsCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareCtrl.js" type="application/javascript"></script>
<script src="js/controller/ShareusersCtrl.js" type="application/javascript"></script>
<script src="js/controller/GroupsCtrl.js" type="application/javascript"></script>
<script src="js/controller/WrapperCtrl.js" type="application/javascript"></script>
<script src="js/controller/Enforce2FaCtrl.js" type="application/javascript"></script>

<script src="js/service/api-client.js" type="application/javascript"></script>
<script src="js/service/api-gcp.js" type="application/javascript"></script>
<script src="js/service/api-do.js" type="application/javascript"></script>
<script src="js/service/api-aws.js" type="application/javascript"></script>
<script src="js/service/api-fileserver.js" type="application/javascript"></script>
<script src="js/service/api-pwnedpasswords.js" type="application/javascript"></script>
<script src="js/service/helper.js" type="application/javascript"></script>
<script src="js/service/device.js" type="application/javascript"></script>
<script src="js/service/message.js" type="application/javascript"></script>
<script src="js/service/item-blueprint.js" type="application/javascript"></script>
<script src="js/service/share-blueprint.js" type="application/javascript"></script>
<script src="js/service/crypto-library.js" type="application/javascript"></script>
<script src="js/service/converter.js" type="application/javascript"></script>
<script src="js/service/openpgp.js" type="application/javascript"></script>
<script src="js/service/storage.js" type="application/javascript"></script>
<script src="js/service/offline-cache.js" type="application/javascript"></script>
<script src="js/service/account.js" type="application/javascript"></script>
<script src="js/service/settings.js" type="application/javascript"></script>
<script src="js/service/manager-base.js" type="application/javascript"></script>
<script src="js/service/language-picker.js" type="application/javascript"></script>
<script src="js/service/manager.js" type="application/javascript"></script>
<script src="js/service/manager-widget.js" type="application/javascript"></script>
<script src="js/service/manager-datastore.js" type="application/javascript"></script>
<script src="js/service/manager-api-keys.js" type="application/javascript"></script>
<script src="js/service/manager-secret-link.js" type="application/javascript"></script>
<script src="js/service/manager-share-link.js" type="application/javascript"></script>
<script src="js/service/manager-export.js" type="application/javascript"></script>
<script src="js/service/manager-file-transfer.js" type="application/javascript"></script>
<script src="js/service/manager-file-link.js" type="application/javascript"></script>
<script src="js/service/manager-file-repository.js" type="application/javascript"></script>
<script src="js/service/manager-hosts.js" type="application/javascript"></script>
<script src="js/service/manager-import.js" type="application/javascript"></script>
<script src="js/service/manager-link-share.js" type="application/javascript"></script>
<script src="js/service/manager-security-report.js" type="application/javascript"></script>
<script src="js/service/import-chrome-csv.js" type="application/javascript"></script>
<script src="js/service/import-psono-pw-json.js" type="application/javascript"></script>
<script src="js/service/import-lastpass-com-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepassx-org-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-csv.js" type="application/javascript"></script>
<script src="js/service/import-keepass-info-xml.js" type="application/javascript"></script>
<script src="js/service/manager-status.js" type="application/javascript"></script>
<script src="js/service/manager-secret.js" type="application/javascript"></script>
<script src="js/service/manager-share.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-password.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-user.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-gpg-user.js" type="application/javascript"></script>
<script src="js/service/manager-groups.js" type="application/javascript"></script>
<script src="js/service/manager-history.js" type="application/javascript"></script>
<script src="js/service/manager-datastore-setting.js" type="application/javascript"></script>
<script src="js/service/browser-client.js" type="application/javascript"></script>
<script src="js/service/drop-down-menu-watcher.js" type="application/javascript"></script>

<script src="view/templates.js" type="application/javascript"></script>
<!-- End Angular Juju -->
<!-- endbuild -->
</body>
</html>